From cb1127c6734d4e71a37d6ac432c3b13104d5a5ba Mon Sep 17 00:00:00 2001
From: "Hahn Axel (hahn)" <axel.hahn@unibe.ch>
Date: Wed, 8 Jan 2025 13:34:35 +0100
Subject: [PATCH] source  config file before showing help

---
 cm.sh | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/cm.sh b/cm.sh
index af58603..074b6a7 100755
--- a/cm.sh
+++ b/cm.sh
@@ -940,6 +940,14 @@ $line
 
 ENDOFHEADER
 
+. ./inc_config.sh
+if [ $? -ne 0 ]; then
+    _we "Loading the config failed."
+    echo "Copy the inc_config.sh.dist to inc_config.sh and make your settings in it."
+    echo
+    exit 1
+fi
+
 while [[ "$#" -gt 0 ]]; do case $1 in
 
     -a|--alias)   
@@ -993,14 +1001,6 @@ while [[ "$#" -gt 0 ]]; do case $1 in
        ;;
 esac; done
 
-. ./inc_config.sh
-if [ $? -ne 0 ]; then
-    _we "Loading the config failed."
-    echo "Copy the inc_config.sh.dist to inc_config.sh and make your settings in it."
-    echo
-    exit 1
-fi
-
 which openssl >/dev/null || exit 1
 
 _testUser
-- 
GitLab